Package org.silverpeas.components.suggestionbox.repository

## Class SuggestionBoxRepository

- java.lang.Object
- - org.silverpeas.core.persistence.datasource.repository.jpa.AbstractJpaEntityRepository<E>
  - - org.silverpeas.core.persistence.datasource.repository.jpa.SilverpeasJpaEntityRepository<SuggestionBox>
    - - org.silverpeas.components.suggestionbox.repository.SuggestionBoxRepository

- All Implemented Interfaces:
    `org.silverpeas.core.persistence.datasource.repository.EntityRepository<SuggestionBox>`

      @Repository
      public class SuggestionBoxRepository
      extends org.silverpeas.core.persistence.datasource.repository.jpa.SilverpeasJpaEntityRepository<SuggestionBox>

  This entity suggestionRepository provides all necessary methods in order to handle the persistence of suggestion boxes, whatever the data sources used underlying.
  Author:
    Yohann Chastagnier

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `SuggestionBoxRepository()` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static SuggestionBoxRepository` | `get()` |
    `SuggestionBox` | `getByComponentInstanceId​(String componentInstanceId)` | Gets the suggestion box represented by the specified component instance identifier.

    - ### Methods inherited from class org.silverpeas.core.persistence.datasource.repository.jpa.SilverpeasJpaEntityRepository

      `deleteByComponentInstanceId`

    - ### Methods inherited from class org.silverpeas.core.persistence.datasource.repository.jpa.AbstractJpaEntityRepository

      `contains, countByCriteria, countFromJpqlString, delete, deleteById, deleteFromJpqlQuery, deleteFromNamedQuery, findByCriteria, findByNamedQuery, findFirstByNamedQuery, flush, getAll, getById, getById, getEntityClass, getEntityManager, getFromJpqlString, getFromJpqlString, getFromNamedQuery, getFromNamedQuery, getIdentifierConverter, getMaximumItemsInClause, listFromJpqlString, listFromJpqlString, listFromJpqlString, listFromJpqlString, listFromNamedQuery, listFromNamedQuery, newNamedParameters, noParameter, save, setMaximumItemsInClause, split, streamByNamedQuery, streamByNamedQuery, streamFromJpqlString, streamFromJpqlString, updateFromJpqlQuery, updateFromNamedQuery`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.silverpeas.core.persistence.datasource.repository.EntityRepository

      `delete, deleteById, getById, save, save`

- - ### Constructor Detail

    - #### SuggestionBoxRepository

          public SuggestionBoxRepository()

  - ### Method Detail

    - #### get

          public static SuggestionBoxRepository get()

    - #### getByComponentInstanceId

          public SuggestionBox getByComponentInstanceId​(String componentInstanceId)

      Gets the suggestion box represented by the specified component instance identifier.
      Parameters:
        `componentInstanceId` - the component instance id associated to the required suggestion box.
      Returns:
        the suggestion box instance if exists, null otherwise.